package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(school):
 */
public class School {

	/**  */
	private Integer id;
	
	private Integer userId;

	/**  */
	@ApiModelProperty(value = "学校名称", required = false)
	private String name;

	/**  */
	@ApiModelProperty(value = "所属机构编号", required = false)
	private Integer organId;

	/**  */
	@ApiModelProperty(value = "所属机构名称", required = false)
	private String organName;

	/**  */
	@ApiModelProperty(value = "地址", required = false)
	private String address;

	/**  */
	@ApiModelProperty(value = "联系电话", required = false)
	private String contactPhone;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	/**  */
	@ApiModelProperty(value = "是否删除1是，0否,2停用", required = false)
	private Integer delFlag;

	/** 联系人 */
	@ApiModelProperty(value = "联系人", required = false)
	private String contactName;

	@ApiModelProperty(value = "经纬度", required = false)
	private String longitudeLatitude;
	
	@ApiModelProperty(value = "补贴", required = false)
	private BigDecimal subsidy;
	
	@ApiModelProperty(value = "合作单位编号", required = false)
	private Integer cooperationOrganId;
	
	@ApiModelProperty(value = "备注", required = false)
	private String remark;

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Integer getOrganId() {
		return this.organId;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public void setContactPhone(String contactPhone) {
		this.contactPhone = contactPhone;
	}

	public String getContactPhone() {
		return this.contactPhone;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public void setContactName(String contactName) {
		this.contactName = contactName;
	}

	public String getContactName() {
		return this.contactName;
	}

	public String getLongitudeLatitude() {
		return longitudeLatitude;
	}

	public void setLongitudeLatitude(String longitudeLatitude) {
		this.longitudeLatitude = longitudeLatitude;
	}

	public BigDecimal getSubsidy() {
		return subsidy;
	}

	public void setSubsidy(BigDecimal subsidy) {
		this.subsidy = subsidy;
	}

	public Integer getCooperationOrganId() {
		return cooperationOrganId;
	}

	public void setCooperationOrganId(Integer cooperationOrganId) {
		this.cooperationOrganId = cooperationOrganId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
